<!--

@license Apache-2.0

Copyright (c) 2022 The Stdlib Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

-->

# DSV

> Utilities for working with data formatted as delimiter-separated values (DSV).

<section class="usage">

## Usage

```javascript
var dsv = require( '@stdlib/utils/dsv' );
```

#### dsv

Namespace of utilities for working with data formatted as delimiter-separated values (DSV).

```javascript
var o = dsv;
// returns {...}
```

The namespace contains the following sub-namespaces:

<!-- <toc pattern="base"> -->

<div class="namespace-toc">

-   <span class="signature">[`base`][@stdlib/utils/dsv/base]</span><span class="delimiter">: </span><span class="description">base utilities for working with data formatted as delimiter-separated values (DSV).</span>

</div>

<!-- </toc> -->

The namespace contains the following utilities:

<!-- <toc pattern="*"> -->

<div class="namespace-toc">

</div>

<!-- </toc> -->

</section>

<!-- /.usage -->

<section class="examples">

## Examples

<!-- TODO: better examples -->

<!-- eslint no-undef: "error" -->

```javascript
var objectKeys = require( '@stdlib/utils/keys' );
var dsv = require( '@stdlib/utils/dsv' );

console.log( objectKeys( dsv ) );
```

</section>

<!-- /.examples -->

<!-- Section for related `stdlib` packages. Do not manually edit this section, as it is automatically populated. -->

<section class="related">

</section>

<!-- /.related -->

<!-- Section for all links. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="links">

<!-- <toc-links> -->

[@stdlib/utils/dsv/base]: https://github.com/stdlib-js/utils/tree/main/dsv/base

<!-- </toc-links> -->

</section>

<!-- /.links -->
