<!--

@license Apache-2.0

Copyright (c) 2022 The Stdlib Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

-->

# DSV

> Base utilities for working with data formatted as delimiter-separated values (DSV).

<section class="usage">

## Usage

```javascript
var base = require( '@stdlib/utils/dsv/base' );
```

#### base

Namespace of base utilities for working with data formatted as delimiter-separated values (DSV).

```javascript
var o = base;
// returns {...}
```

The namespace contains the following utilities:

<!-- <toc pattern="*"> -->

<div class="namespace-toc">

-   <span class="signature">[`parse( [options] )`][@stdlib/utils/dsv/base/parse]</span><span class="delimiter">: </span><span class="description">incremental parser for delimiter-separated values (DSV).</span>

</div>

<!-- </toc> -->

</section>

<!-- /.usage -->

<section class="examples">

## Examples

<!-- TODO: better examples -->

<!-- eslint no-undef: "error" -->

```javascript
var objectKeys = require( '@stdlib/utils/keys' );
var base = require( '@stdlib/utils/dsv/base' );

console.log( objectKeys( base ) );
```

</section>

<!-- /.examples -->

<!-- Section for related `stdlib` packages. Do not manually edit this section, as it is automatically populated. -->

<section class="related">

</section>

<!-- /.related -->

<!-- Section for all links. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="links">

<!-- <toc-links> -->

[@stdlib/utils/dsv/base/parse]: https://github.com/stdlib-js/utils/tree/main/dsv/base/parse

<!-- </toc-links> -->

</section>

<!-- /.links -->
