/**
* @license Apache-2.0
*
* Copyright (c) 2021 The Stdlib Authors.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

'use strict';

/**
* Return a function that applies arguments to a provided function after transforming arguments according to a callback function.
*
* @module @stdlib/utils/map-arguments
*
* @example
* var mapArguments = require( '@stdlib/utils/map-arguments' );
*
* function foo( a, b, c ) {
*     return [ a, b, c ];
* }
*
* function clbk( v ) {
*     return v * 2;
* }
*
* var bar = mapArguments( foo, clbk );
*
* var out = bar( 1, 2, 3 );
* // returns [ 2, 4, 6 ]
*/

// MODULES //

var main = require( './main.js' );


// EXPORTS //

module.exports = main;
